denial_struct Struct Reference

`#include <denial.h>`

## Data Fields

zone_type * | zone
domain_type * | domain
ldns_rbnode_t * | node
ldns_rdf * | dname
rrset_type * | rrset
unsigned | bitmap_changed: 1
unsigned | nxt_changed: 1

## Detailed Description

Denial of Existence data point.

Definition at line 50 of file denial.h.

## Field Documentation

## bitmap_changed

unsigned denial_struct::bitmap_changed

Definition at line 56 of file denial.h.

Referenced by denial_add_rr(), denial_create(), denial_nsecify(), domain_add_rrset(), domain_diff(), and domain_rollback().

## dname

ldns_rdf* denial_struct::dname

Definition at line 54 of file denial.h.

Referenced by denial_cleanup(), denial_create(), namedb_add_denial(), and namedb_del_denial().

## domain

domain_type* denial_struct::domain

Definition at line 52 of file denial.h.

Referenced by denial_create(), and namedb_del_denial().

## node

ldns_rbnode_t* denial_struct::node

Definition at line 53 of file denial.h.

Referenced by denial_create(), namedb_add_denial(), and namedb_del_denial().

## nxt_changed

unsigned denial_struct::nxt_changed

Definition at line 57 of file denial.h.

Referenced by denial_add_rr(), denial_create(), denial_nsecify(), namedb_add_denial(), and namedb_del_denial().

## rrset

rrset_type* denial_struct::rrset

Definition at line 55 of file denial.h.

Referenced by backup_read_namedb(), denial_add_rr(), denial_cleanup(), denial_create(), denial_diff(), denial_print(), namedb_backup2(), namedb_del_denial(), and namedb_wipe_denial().

## zone

zone_type* denial_struct::zone

Definition at line 51 of file denial.h.

Referenced by denial_add_rr(), denial_create(), and denial_nsecify().

The documentation for this struct was generated from the following file:

- src/signer/denial.h